Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.xsl.parser
Class ExpressionParser

    java.lang.Object
      com.novell.xml.xpath.Parser
          com.novell.xsl.parser.ExpressionParser

Direct Known Subclasses:
  Parser

    public class ExpressionParser

extends Parser

XPath expression parser for XSLT that implements forward-compatible processing behavior.

Field Summary
`protected StylesheetParser` | `stylesheetParser`

Constructor Summary
`ExpressionParser(StylesheetParser stylesheetParser, VariableBindings variables, FunctionLibrary library, NamespaceContext namespaces)` Build an ExpressionParser object for parsing one or more expressions given the passed variable bindings, function library and namespace context.

Method Summary
`protected Expression` | `parseFunctionCall()` Parse a function call.

Methods inherited from class com.novell.xml.xpath.Parser
`getDefaultFunctionLibrary, getLibrary, getOperator, getTokens, getVariables, nextToken, parse, parse, parse, parseAdditiveExpr, parseAndExpr, parseArgumentList, parseBasis, parseEqualityExpr, parseExpr, parseFilterExpr, parseLocationPath, parseMultiplicativeExpr, parseNodeTest, parseOrExpr, parsePathExpr, parsePredicate, parsePrimaryExpr, parseRelationalExpr, parseRelativeLocationPath, parseStep, parseUnaryExpr, parseUnionExpr, peekToken, setBrokenMode, tokenize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### stylesheetParser

    protected StylesheetParser stylesheetParser

Constructor Detail

### ExpressionParser

    public ExpressionParser(StylesheetParser stylesheetParser,
                            VariableBindings variables,
                            FunctionLibrary library,
                            NamespaceContext namespaces)

  Build an ExpressionParser object for parsing one or more expressions given the passed variable bindings, function library and namespace context.

  Parameters:
    `stylesheetParser` - The StylesheetParser associated with the expression. Used to get forwards-compatible mode state.
    `variables` - The variable bindings in effect for the expression.
    `library` - The function library in effect for the expression.
    `namespaces` - The namespace context in effect for the expression.

Method Detail

### parseFunctionCall

    protected Expression parseFunctionCall()
                                    throws XPathParserException

  Parse a function call. The current token must be the FunctionNameToken.

  This overrides the base class behavior to implement XSLT forwards-compatible processing behavior.

  Overrides:
    `parseFunctionCall` in class `Parser`
  Returns:
    an `Expression` representing the function call
  Throws:
    `XPathParserException` - Thrown if the expression has incorrect syntax

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD